# Create environment

| **Description** | Creates a compute environment |
| --------------- | ----------------------------- |
| **Endpoint**    | `/compute`                    |
| **Method**      | POST                          |

### Access Level Rules

| **Minimum Access Level** | Account holder only. |
| ------------------------ | -------------------- |

### Processing Units

| **Processing units** | 1 |
| -------------------- | - |

### Parameters

<table><thead><tr><th>Name</th><th width="221">Description</th><th>Required</th><th>Default</th><th data-hidden>Required</th><th data-hidden>Default</th></tr></thead><tbody><tr><td><code>layers</code></td><td>Layers you wish to use in the environment. Should be an array of object, each object needs a pathId and timestampId</td><td>true</td><td></td><td></td><td></td></tr><tr><td><code>files</code></td><td>Files you wish to use in the environment. Should be an array of pathId's.</td><td>false</td><td></td><td></td><td></td></tr><tr><td><code>nodes</code></td><td>The number nodes you wish to parallelize over.</td><td>true</td><td></td><td></td><td></td></tr><tr><td><code>interpreter</code></td><td>The Python version you wish to use</td><td>false</td><td>Python3.15</td><td></td><td></td></tr><tr><td><code>requirements</code></td><td>Array of PIP packages you wish to use in the environment</td><td>false</td><td></td><td></td><td></td></tr><tr><td><code>largeResult</code></td><td>Boolean. If false the result is returned as JSON object, if true download link for the result is returned. </td><td>false</td><td>false</td><td></td><td></td></tr><tr><td><code>enableGpu</code></td><td>Boolean indicating whether to use GPU nodes</td><td>false</td><td>false</td><td></td><td></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ellipsis-drive.com/developers/api-v3/compute-map-engine/create-environment.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
